2 fixed grammer, comment formating
source | link

I've CentOS 6.0CentOS 6.0 server with glibc-2.12-1.7.el6.x86_64glibc-2.12-1.7.el6.x86_64 running many open source services and some of my own C programs. 

To fix ghost vulnerability, I need to update it to glibc-2.12-1.149.el6_6.5glibc-2.12-1.149.el6_6.5. 

Since the version difference seems large,.

I was wondering whether I need to recompile my C/C++ apps or even some of the open source services ? How
How do I even test them bcos testing everything is next to impossible ? 

I've read that some people had to revert the update bcos they faced segfaults in their apps.

I've CentOS 6.0 server with glibc-2.12-1.7.el6.x86_64 running many open source services and some of my own C programs. To fix ghost vulnerability, I need to update it to glibc-2.12-1.149.el6_6.5. Since the version difference seems large, I was wondering whether I need to recompile my C/C++ apps or even some of the open source services ? How do I even test them bcos testing everything is next to impossible ? I've read that some people had to revert the update bcos they faced segfaults in their apps.

I've CentOS 6.0 server with glibc-2.12-1.7.el6.x86_64 running many open source services and some of my own C programs. 

To fix ghost vulnerability, I need to update it to glibc-2.12-1.149.el6_6.5. 

Since the version difference seems large.

I was wondering whether I need to recompile my C/C++ apps or even some of the open source services ?
How do I even test them bcos testing everything is next to impossible ? 

I've read that some people had to revert the update bcos they faced segfaults in their apps.

1
source | link

Ghost vulnerability - recompile C/C++ programs?

I've CentOS 6.0 server with glibc-2.12-1.7.el6.x86_64 running many open source services and some of my own C programs. To fix ghost vulnerability, I need to update it to glibc-2.12-1.149.el6_6.5. Since the version difference seems large, I was wondering whether I need to recompile my C/C++ apps or even some of the open source services ? How do I even test them bcos testing everything is next to impossible ? I've read that some people had to revert the update bcos they faced segfaults in their apps.